# GetAccountNet

Query bandwidth information.

This method will use `30` [Compute Units](/v1/about/billing.md).

***

## **Parameters**

* `address` - String - <mark style="color:red;">Required</mark> - Address to be queried. Address should be in base58checksum, hexString, or base64 format. Example `TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g`
* `visible` - Boolean - Optional. Specifies whether the address is in Base58 format (default: false).

## **Returns**

| Field          | Type                | Description                                                          |
| -------------- | ------------------- | -------------------------------------------------------------------- |
| freeNetUsed    | int64               | Free bandwidth used                                                  |
| freeNetLimit   | int64               | Total free bandwidth                                                 |
| NetUsed        | int64               | Used amount of bandwidth obtained by staking                         |
| NetLimit       | int64               | Total bandwidth obtained by staking                                  |
| TotalNetLimit  | int64               | Total bandwidth can be obtained by staking by the whole network      |
| TotalNetWeight | int64               | Total TRX staked for bandwidth by the whole network                  |
| assetNetUsed   | map\<string, int64> | The amount of free bandwidth of each TRC10 asset used by the account |
| assetNetLimit  | map\<string, int64> | The amount of free bandwidth for each TRC10 asset in the account     |

```json
// Result
{
  "freeNetLimit": 600,
  "TotalNetLimit": 43200000000,
  "TotalNetWeight": 356260866660
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.tron.validationcloud.io/v1/<YOUR_API_KEY_HERE>/wallet/getaccountnet \
    -X POST \
    -H "Content-Type: application/json" \
    -d '
{
  "address": "TZ4UXDV5ZhNW7fb2AMSbgfAEZ7hWsnYS2g",
  "visible": true
}
'
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/tron/tron-full-node-http-api/account-resources/getaccountnet.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
